# $Revision: 1.38 $, $Date: 2012/06/30 18:43:52 $
# TODO: systemd support
#
# Conditonal build:
%bcond_without	gpl	# build with GPL code (md2.h, ipmi_ioctls.h)
#
Summary:	IPMI Management Utilities
Summary(pl.UTF-8):	Narzędzia zarządzające IPMI
Name:		ipmiutil
Version:	2.8.4
Release:	1
%if %{with gpl}
License:	GPL v2+
%else
License:	BSD
%endif
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/ipmiutil/%{name}-%{version}.tar.gz
# Source0-md5:	9adb765ca78c6ed78684b174098567f5
URL:		http://ipmiutil.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel
Requires:	mibs-%{name}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		mibsdir		/usr/share/mibs

%description
The ipmiutil component package provides utilities to view the SEL
(showsel), perform a hardware reset (hwreset), and set up the Platform
Event Filter entry to allow BMC LAN alerts from OS Critical Stop
messages (pefconfig). It requires an IPMI driver (ipmidrvr) package in
order to talk to the BMC/firmware interface.

An IPMI driver can be provided by either the Intel IPMI driver
(/dev/imb) or the valinux IPMI driver (/dev/ipmikcs).

%description -l pl.UTF-8
Pakiet ipmiutil dostarcza narzędzia do oglądania SEL (showsel),
wykonywania sprzętowego resetu (hwreset) i ustawiania wpisu Platform
Event Filter, aby włączyć alarmy BMC LAN pochodzące od komunikatów OS
Critical Stop (pefconfig). Wymaga pakietu ze sterownikiem IPMI
(ipmidrvr) do porozumiewania się z interfejsem BMC/firmware.

Sterownik IPMI może być dostarczony przez sterownik Intel IPMI
(/dev/imb), albo przez sterownik valinux IPMI (/dev/ipmikcs).

%package -n mibs-%{name}
Summary:	MIB database from IPMI Management Utilities
Summary(pl.UTF-8):	Baza danych MIB z narzędzi zarządzających IPMI
Group:		Applications/System
Requires:	mibs-dirs
Requires:	mibs-net-snmp
Obsoletes:	ipmiutil-mibs

%description -n mibs-%{name}
This package contains MIB file from Intel:
- MIB file for PET events

%description -n mibs-%{name} -l pl.UTF-8
Ten pakiet zawiera plik MIB od Intela:
- plik MIB dla zdarzeń PET

%prep
%setup -q

%{__rm} lib/lib*.a*

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_gpl:--enable-gpl} \
	--enable-shared \
	--enable-static

%{__make} -C lib \
	CC="%{__cc}"
%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{mibsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysvinit=$RPM_BUILD_ROOT/etc/rc.d/init.d \
	sysdto=$RPM_BUILD_ROOT%{systemdunitdir}

mv $RPM_BUILD_ROOT%{_datadir}/ipmiutil/*.mib $RPM_BUILD_ROOT%{mibsdir}
# devel not packaged
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libipmiutil.a \
	$RPM_BUILD_ROOT%{_includedir}/ipmicmd.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/UserGuide scripts/{checksel,*.sh}
%attr(755,root,root) %{_bindir}/idiscover
%attr(755,root,root) %{_bindir}/ievents
%attr(755,root,root) %{_bindir}/ipmiutil
%attr(755,root,root) %{_sbindir}/ialarms
%attr(755,root,root) %{_sbindir}/icmd
%attr(755,root,root) %{_sbindir}/iconfig
%attr(755,root,root) %{_sbindir}/ifirewall
%attr(755,root,root) %{_sbindir}/ifru
%attr(755,root,root) %{_sbindir}/ifwum
%attr(755,root,root) %{_sbindir}/igetevent
%attr(755,root,root) %{_sbindir}/ihealth
%attr(755,root,root) %{_sbindir}/ihpm
%attr(755,root,root) %{_sbindir}/ilan
%attr(755,root,root) %{_sbindir}/ipicmg
%attr(755,root,root) %{_sbindir}/ipmi_port
%attr(755,root,root) %{_sbindir}/ireset
%attr(755,root,root) %{_sbindir}/isel
%attr(755,root,root) %{_sbindir}/isensor
%attr(755,root,root) %{_sbindir}/iserial
%attr(755,root,root) %{_sbindir}/isol
%attr(755,root,root) %{_sbindir}/iwdt
%attr(754,root,root) /etc/rc.d/init.d/ipmi_port
%attr(754,root,root) /etc/rc.d/init.d/ipmiutil_asy
%attr(754,root,root) /etc/rc.d/init.d/ipmiutil_evt
%attr(754,root,root) /etc/rc.d/init.d/ipmiutil_wdt
%{systemdunitdir}/ipmi_port.service
%{systemdunitdir}/ipmiutil_asy.service
%{systemdunitdir}/ipmiutil_evt.service
%{systemdunitdir}/ipmiutil_wdt.service
%{_datadir}/%{name}
%{_mandir}/man8/ialarms.8*
%{_mandir}/man8/icmd.8*
%{_mandir}/man8/iconfig.8*
%{_mandir}/man8/idcmi.8*
%{_mandir}/man8/idelloem.8*
%{_mandir}/man8/idiscover.8*
%{_mandir}/man8/iekanalyzer.8*
%{_mandir}/man8/ievents.8*
%{_mandir}/man8/ifirewall.8*
%{_mandir}/man8/ifru.8*
%{_mandir}/man8/ifwum.8*
%{_mandir}/man8/igetevent.8*
%{_mandir}/man8/ihealth.8*
%{_mandir}/man8/ihpm.8*
%{_mandir}/man8/ilan.8*
%{_mandir}/man8/ipicmg.8*
%{_mandir}/man8/ipmi_port.8*
%{_mandir}/man8/ipmiutil.8*
%{_mandir}/man8/ireset.8*
%{_mandir}/man8/isel.8*
%{_mandir}/man8/isensor.8*
%{_mandir}/man8/iserial.8*
%{_mandir}/man8/isol.8*
%{_mandir}/man8/isunoem.8*
%{_mandir}/man8/itsol.8*
%{_mandir}/man8/iwdt.8*

%files -n mibs-%{name}
%defattr(644,root,root,755)
%{mibsdir}/bmclanpet.mib

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipmiutil.spec,v $
Revision 1.38  2012/06/30 18:43:52  qboosh
- updated to 2.8.4

Revision 1.37  2012/05/26 11:26:03  qboosh
- updated to 2.8.3

Revision 1.36  2012/03/16 15:47:47  qboosh
- updated to 2.8.2

Revision 1.35  2012/02/19 09:06:35  qboosh
- updated to 2.8.1
- removed make-jN patch (no longer required)
- checksel is no longer registered in cron.daily

Revision 1.34  2011/10/30 14:58:29  qboosh
- updated to 2.7.9
- updated make-jN patch

Revision 1.33  2011/09/17 19:30:10  qboosh
- updated to 2.7.8
- updated make-jN patch

Revision 1.32  2011/06/11 18:33:22  qboosh
- updated to 2.7.7

Revision 1.31  2011/05/10 18:05:46  qboosh
- updated to 2.7.6

Revision 1.30  2011/05/08 12:19:17  qboosh
- separate make install in doc no longer needed

Revision 1.29  2011/05/06 19:24:32  marti
- removed obsolete patch

Revision 1.28  2011/05/06 18:16:22  marti
- up to 2.7.5
- removed patch cause already fixed

Revision 1.27  2011/01/13 20:40:18  qboosh
- updated to 2.7.3

Revision 1.26  2010/11/13 20:39:58  qboosh
- updated mibs- desc

Revision 1.25  2010/11/13 20:38:34  qboosh
- updated to 2.7.2
- updated am,make-jN patches, removed obsolete am2 patch

Revision 1.24  2010/04/12 19:25:48  arekm
- release 5

Revision 1.23  2010/01/12 12:28:29  glen
- fix net-snmp mibs pkg name; rel 4

Revision 1.22  2010/01/11 11:43:05  glen
- mibs installed to system mibs dir, add mibs package; rel 3

Revision 1.21  2010/01/05 20:23:49  sparky
- BR: openssl-devel

Revision 1.20  2010/01/05 16:29:14  gotar
- upgraded to 2.5.2

Revision 1.19  2010/01/05 15:24:06  gotar
- upgraded to 2.4.3

Revision 1.18  2010/01/05 14:53:39  gotar
- upgraded to 2.3.9

Revision 1.17  2010/01/05 14:33:10  gotar
- upgraded to 2.2.4

Revision 1.16  2008/11/13 12:53:45  arekm
- release 2

Revision 1.15  2008/08/28 04:44:31  qboosh
- updated to 2.2.0
- updated make-jN,am2 patches

Revision 1.14  2008/07/20 16:40:41  qboosh
- updated to 2.1.2
- updated make-jN,am2 patches, removed obsolete static_lanplus patch

Revision 1.13  2008/04/01 20:15:11  qboosh
- libtoolize

Revision 1.12  2008-03-27 22:31:16  sls
- added am2.patch
- package events binary
- rel. 1

Revision 1.11  2008-03-27 14:46:30  sls
- added static_lanplus.patch
- more verbose file

Revision 1.10  2008-03-27 04:16:19  sls
- add make-jN.patch

Revision 1.9  2008-03-27 03:10:24  sls
- ver. 2.0.9 (NFY)

Revision 1.8  2007-11-04 01:11:14  qboosh
- updated to 2.0.3

Revision 1.7  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.5  2007/02/04 12:28:23  arekm
- up to 1.8.2

Revision 1.4  2006/12/13 00:02:04  qboosh
- updated to 1.7.10, updated am patch
- no longer requires freeipmi

Revision 1.3  2005/03/02 23:12:56  glen
- If Intel already allowed it's MIBs being in BSD package, the files can be kept most probably under BSD license

Revision 1.2  2005/03/02 19:27:45  qboosh
- pl

Revision 1.1  2005/03/02 11:58:11  glen
- new
